## process this file with automake to produce Makefile.in


QT_MOC         = @QT_BIN@/moc

scdir          = $(datadir)/subcommander
icondir        = $(scdir)/icons/default

icon_DATA      = ../pics/icons/default/MergeFile-Normal.png \
                 ../pics/icons/default/MergeFile-Active.png \
                 ../pics/icons/default/MergeFile-Disabled.png \
                 ../pics/icons/default/NextDiff-Normal.png \
                 ../pics/icons/default/NextDiff-Active.png \
                 ../pics/icons/default/NextDiff-Disabled.png \
                 ../pics/icons/default/PrevDiff-Normal.png \
                 ../pics/icons/default/PrevDiff-Active.png \
                 ../pics/icons/default/PrevDiff-Disabled.png \
                 ../pics/icons/default/Whitespace-NormalOn.png \
                 ../pics/icons/default/Whitespace-NormalOff.png \
                 ../pics/icons/default/Reload-Normal.png \
                 ../pics/icons/default/Reload-Active.png \
                 ../pics/icons/default/Reload-Disabled.png
                 
AM_CPPFLAGS    = @APR_CPPFLAGS@ \
                 @STLPORT_INCLUDES@ -I.. @QT_INCLUDES@ @SVN_INCLUDES@ \
                 @APR_INCLUDES@ @APU_INCLUDES@ @BOOST_INCLUDES@ -Wno-deprecated
AM_CXXFLAGS    = @MACOSX_UNIVERSAL_CXXFLAGS@
AM_LDFLAGS     = @MACOSX_UNIVERSAL_LDFLAGS@

bin_PROGRAMS   = submerge

submerge_LDADD = -L../util -L../svn -L../sublib  -lutil -lsvn -lsublib \
                 @QT_LIBS@ @APR_LIBS@ @APU_LIBS@ @SVN_LIBS@ -lsvn_diff-1 \
                 -lsvn_subr-1 @STLPORT_LIBS@ -lz

submerge_DEPENDENCIES = ../sublib/libsublib.a ../svn/libsvn.a ../util/libutil.a

noinst_HEADERS = ConfigManager.h \
                 Conflict.h \
                 ConflictMarkerWidget.h \
                 Diff3.h \
                 Diff3Widget.h \
                 DiffBaton.h \
                 Diff.h \
                 DiffInfo.h \
                 DiffInfoModel.h \
                 DiffInfoModelImpl.h \
                 DiffInfoTarget.h \
                 DoubleTextWidget.h \
                 FileSelectDialog.h \
                 LinePainter.h \
                 LineTokenizer.h \
                 MainWindow.h \
                 Merge.h \
                 OutBaton.h \
                 PainterSetup.h \
                 Pair.h \
                 ScrollPositionCalculator.h \
                 SingleTextWidget.h \
                 TextGlueWidget.h \
                 TextLineNrWidget.h \
                 TextPositionCalculator.h \
                 TextViewWidget.h \
                 TextWidget.h \
                 Tokenizer.h \
                 settings/FontSettings.h \
                 settings/FontSettingsInfo.h \
                 settings/FontSettingsWidget.h


submerge_SOURCES = ConfigManager.cpp \
                 ConflictMarkerWidget.cpp \
                 Diff3.cpp \
                 Diff3Widget.cpp \
                 Diff.cpp \
                 DiffInfo.cpp \
                 DiffInfoModelImpl.cpp \
                 DoubleTextWidget.cpp \
                 FileSelectDialog.cpp \
                 LinePainter.cpp \
                 LineTokenizer.cpp \
                 MainWindow.cpp \
                 NullDiffInfoModel.h \
                 NullDiffInfoModel.cpp \
                 Settings.h \
                 Settings.cpp \
                 SingleTextWidget.cpp \
                 submerge.cpp \
                 TextGlueWidget.cpp \
                 TextLineNrWidget.cpp \
                 TextViewWidget.cpp \
                 TextWidget.cpp \
                 settings/FontSettingsInfo.cpp \
                 settings/FontSettingsWidget.cpp \
                 moc/Diff3Widget_moc.cpp \
                 moc/DoubleTextWidget_moc.cpp \
                 moc/FileSelectDialog_moc.cpp \
                 moc/MainWindow_moc.cpp \
                 moc/SingleTextWidget_moc.cpp \
                 moc/TextGlueWidget_moc.cpp \
                 moc/TextLineNrWidget_moc.cpp \
                 moc/TextViewWidget_moc.cpp \
                 moc/TextWidget_moc.cpp \
                 moc/settings/FontSettingsWidget_moc.cpp


moc/%_moc.cpp : %.h
	mkdir -p moc/settings
	$(QT_MOC) $< -o $@
	
clean-local:
	-rm -rf moc

